Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232913 - Perl net-snmp bulkwalk returns wrong data
Summary: Perl net-snmp bulkwalk returns wrong data
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL: http://sourceforge.net/tracker/index....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 14:16 UTC by Frank Sweetser
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 20:53:39 UTC


Attachments (Terms of Use)
Perl script demonostrating problem (deleted)
2007-03-19 14:19 UTC, Frank Sweetser
no flags Details
Output under FC4 (deleted)
2007-03-19 14:19 UTC, Frank Sweetser
no flags Details
Output under FC6 (deleted)
2007-03-19 14:21 UTC, Frank Sweetser
no flags Details

Description Frank Sweetser 2007-03-19 14:16:11 UTC
Description of problem:

Using the perl net-snmp bindings, the bulkwalk function returns a reference to
the SNMP session object, rather than a list of results.

A sample script, output under FC6, and output under FC4 will be attached once
the ticket is created.

Comment 1 Frank Sweetser 2007-03-19 14:19:04 UTC
Created attachment 150374 [details]
Perl script demonostrating problem

Comment 2 Frank Sweetser 2007-03-19 14:19:47 UTC
Created attachment 150375 [details]
Output under FC4

Comment 3 Frank Sweetser 2007-03-19 14:21:06 UTC
Created attachment 150376 [details]
Output under FC6

Comment 4 Frank Sweetser 2007-03-20 13:29:35 UTC
Forgot to include version info

[fs@boffin ~]$ rpm -q net-snmp net-snmp-perl
net-snmp-5.3.1-13.fc6
net-snmp-perl-5.3.1-13.fc6

Comment 5 Radek Vokal 2007-03-26 10:38:58 UTC
I guess this is the same issue
http://sourceforge.net/tracker/index.php?func=detail&aid=1533078&group_id=12694&atid=112694

Comment 6 Fedora Update System 2007-03-27 16:33:20 UTC
net-snmp-5.3.1-14.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.